
package com.tmerclub.cloud.supplier.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 供应商用户VO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public class SupplierUserVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * supplierUserId
     */
    @Schema(description = "供应商用户id")
    private Long supplierUserId;

    @Schema(description = "昵称")
    private String nickName;

    @Schema(description = "员工编号")
    private String code;

    @Schema(description = "联系方式")
    private String phoneNum;

    @Schema(description = "是否已经有账号了")
    private Integer hasAccount;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "角色id列表")
    private List<Long> roleIds;

    @Schema(description = "账号")
    private String username;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "邮箱")
    private String email;

    @Schema(description = "手机号")
    private String phone;

    @Schema(description = "状态 1启用 0禁用")
    private Integer status;

    /**
     * 是否是管理员
     */
    @Schema(description = "是否是管理员")
    private Integer isAdmin;

    public Long getSupplierUserId() {
        return supplierUserId;
    }

    public void setSupplierUserId(Long supplierUserId) {
        this.supplierUserId = supplierUserId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public Integer getHasAccount() {
        return hasAccount;
    }

    public void setHasAccount(Integer hasAccount) {
        this.hasAccount = hasAccount;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public List<Long> getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(List<Long> roleIds) {
        this.roleIds = roleIds;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIsAdmin() {
        return isAdmin;
    }

    public void setIsAdmin(Integer isAdmin) {
        this.isAdmin = isAdmin;
    }

    @Override
    public String toString() {
        return "SupplierUserVO{" +
                "supplierUserId=" + supplierUserId +
                ", nickName='" + nickName + '\'' +
                ", code='" + code + '\'' +
                ", phoneNum='" + phoneNum + '\'' +
                ", hasAccount=" + hasAccount +
                ", supplierId=" + supplierId +
                ", roleIds=" + roleIds +
                ", username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", email='" + email + '\'' +
                ", phone='" + phone + '\'' +
                ", status=" + status +
                ", isAdmin=" + isAdmin +
                '}';
    }
}
